Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.layers
Class Layers

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.objects.Array<ILayerNode>
              org.pdfclown.documents.contents.layers.Layers

All Implemented Interfaces:
  Cloneable, Iterable<ILayerNode>, Collection<ILayerNode>, List<ILayerNode>, ILayerNode, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class Layers

extends Array<ILayerNode>
implements ILayerNode

Optional content group collection.

Since:
  0.1.1
Version:
  0.1.2, 01/04/13
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.objects.Array
`Array.IWrapper<TItem>`

Constructor Summary
`Layers(Document context)`
`Layers(Document context, String title)`

Method Summary
`void` | `add(int index, ILayerNode item)`
`Layers` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`ILayerNode` | `get(int index)`
`Layers` | `getLayers()` Gets the sublayers.
`String` | `getTitle()` Gets the text label.
`int` | `indexOf(Object item)`
`int` | `lastIndexOf(Object item)`
`ListIterator<ILayerNode>` | `listIterator()`
`ListIterator<ILayerNode>` | `listIterator(int index)`
`ILayerNode` | `remove(int index)`
`ILayerNode` | `set(int index, ILayerNode item)`
`void` | `setTitle(String value)`
`int` | `size()`
`List<ILayerNode>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] array)`
`String` | `toString()`
`static Layers` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.Array
`add, addAll, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, wrap, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### Layers

    public Layers(Document context)

### Layers

    public Layers(Document context,
                  String title)

Method Detail

### wrap

    public static Layers wrap(PdfDirectObject baseObject)

### clone

    public Layers clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Array<ILayerNode>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### add

    public void add(int index,
                    ILayerNode item)

  Specified by:
    `add` in interface `List<ILayerNode>`
  Overrides:
    `add` in class `Array<ILayerNode>`

### get

    public ILayerNode get(int index)

  Specified by:
    `get` in interface `List<ILayerNode>`
  Overrides:
    `get` in class `Array<ILayerNode>`

### indexOf

    public int indexOf(Object item)

  Specified by:
    `indexOf` in interface `List<ILayerNode>`
  Overrides:
    `indexOf` in class `Array<ILayerNode>`

### lastIndexOf

    public int lastIndexOf(Object item)

  Specified by:
    `lastIndexOf` in interface `List<ILayerNode>`
  Overrides:
    `lastIndexOf` in class `Array<ILayerNode>`

### listIterator

    public ListIterator<ILayerNode> listIterator()

  Specified by:
    `listIterator` in interface `List<ILayerNode>`
  Overrides:
    `listIterator` in class `Array<ILayerNode>`

### listIterator

    public ListIterator<ILayerNode> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<ILayerNode>`
  Overrides:
    `listIterator` in class `Array<ILayerNode>`

### remove

    public ILayerNode remove(int index)

  Specified by:
    `remove` in interface `List<ILayerNode>`
  Overrides:
    `remove` in class `Array<ILayerNode>`

### set

    public ILayerNode set(int index,
                          ILayerNode item)

  Specified by:
    `set` in interface `List<ILayerNode>`
  Overrides:
    `set` in class `Array<ILayerNode>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<ILayerNode>`
  Specified by:
    `size` in interface `List<ILayerNode>`
  Overrides:
    `size` in class `Array<ILayerNode>`

### subList

    public List<ILayerNode> subList(int fromIndex,
                                    int toIndex)

  Specified by:
    `subList` in interface `List<ILayerNode>`
  Overrides:
    `subList` in class `Array<ILayerNode>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<ILayerNode>`
  Specified by:
    `toArray` in interface `List<ILayerNode>`
  Overrides:
    `toArray` in class `Array<ILayerNode>`

### toArray

    public <T> T[] toArray(T[] array)

  Specified by:
    `toArray` in interface `Collection<ILayerNode>`
  Specified by:
    `toArray` in interface `List<ILayerNode>`
  Overrides:
    `toArray` in class `Array<ILayerNode>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getLayers

    public Layers getLayers()

  Description copied from interface: `ILayerNode`
  Gets the sublayers.

  Specified by:
    `getLayers` in interface `ILayerNode`

### getTitle

    public String getTitle()

  Description copied from interface: `ILayerNode`
  Gets the text label.

  Specified by:
    `getTitle` in interface `ILayerNode`

### setTitle

    public void setTitle(String value)

  Specified by:
    `setTitle` in interface `ILayerNode`
  See Also:
    `ILayerNode.getTitle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.